scala.tools.nsc.util

# DeltaClassPath

#### class DeltaClassPath[T] extends MergedClassPath[T]

Source
  ClassPath.scala

Linear Supertypes
MergedClassPath[T], ClassPath[T], AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. DeltaClassPath
2. MergedClassPath
3. ClassPath
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new DeltaClassPath(original: MergedClassPath[T], subst: Map[ClassPath[T], ClassPath[T]])

### Type Members

1. #### type AnyClassRep = ClassRep

   Definition Classes
     ClassPath

2. #### case class ClassRep(binary: Option[T], source: Option[AbstractFile]) extends Product with Serializable

   Represents classes which can be loaded with a ClassfileLoader and/or SourcefileLoader.

   Represents classes which can be loaded with a ClassfileLoader and/or SourcefileLoader.

   Definition Classes
     ClassPath

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from DeltaClassPath[T] to any2stringadd[DeltaClassPath[T]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (DeltaClassPath[T], B)

   Implicit information
     This member is added by an implicit conversion from DeltaClassPath[T] to ArrowAssoc[DeltaClassPath[T]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def asClasspathString: String

   The whole classpath in the form of one String.

   The whole classpath in the form of one String.

   Definition Classes
     MergedClassPath → ClassPath

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def asURLs: List[URL]

   A list of URLs representing this classpath.

   A list of URLs representing this classpath.

   Definition Classes
     MergedClassPath → ClassPath

9. #### lazy val classes: IndexedSeq[AnyClassRep]

   Lists of entities.

   Lists of entities.

   Definition Classes
     MergedClassPath → ClassPath

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### val context: ClassPathContext[T]

    Info which should be propagated to any sub-classpaths.

    Info which should be propagated to any sub-classpaths.

    Definition Classes
      MergedClassPath → ClassPath

12. #### def ensuring(cond: (DeltaClassPath[T]) ⇒ Boolean, msg: ⇒ Any): DeltaClassPath[T]

    Implicit information
      This member is added by an implicit conversion from DeltaClassPath[T] to Ensuring[DeltaClassPath[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: (DeltaClassPath[T]) ⇒ Boolean): DeltaClassPath[T]

    Implicit information
      This member is added by an implicit conversion from DeltaClassPath[T] to Ensuring[DeltaClassPath[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean, msg: ⇒ Any): DeltaClassPath[T]

    Implicit information
      This member is added by an implicit conversion from DeltaClassPath[T] to Ensuring[DeltaClassPath[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean): DeltaClassPath[T]

    Implicit information
      This member is added by an implicit conversion from DeltaClassPath[T] to Ensuring[DeltaClassPath[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### val entries: IndexedSeq[ClassPath[T]]

    Definition Classes
      MergedClassPath

17. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### def equals(that: Any): Boolean

    Definition Classes
      ClassPath → AnyRef → Any

19. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

20. #### def findClass(name: String): Option[AnyClassRep]

    Find a ClassRep given a class name of the form "package.subpackage.ClassName".

    Find a ClassRep given a class name of the form "package.subpackage.ClassName". Does not support nested classes on .NET

    Definition Classes
      ClassPath

21. #### def findClassFile(name: String): Option[AbstractFile]

    Definition Classes
      ClassPath

22. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from DeltaClassPath[T] to StringFormat[DeltaClassPath[T]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

23. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

24. #### def hashCode(): Int

    Definition Classes
      ClassPath → AnyRef → Any

25. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

26. #### def name: String

    The short name of the package (without prefix)

    The short name of the package (without prefix)

    Definition Classes
      MergedClassPath → ClassPath

27. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

28. #### final def notify(): Unit

    Definition Classes
      AnyRef

29. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

30. #### def origin: Some[String]

    A String representing the origin of this classpath element, if known.

    A String representing the origin of this classpath element, if known. For example, the path of the directory or jar.

    Definition Classes
      MergedClassPath → ClassPath

31. #### lazy val packages: IndexedSeq[ClassPath[T]]

    Definition Classes
      MergedClassPath → ClassPath

32. #### def show(): Unit

    Definition Classes
      MergedClassPath

33. #### def sortString: String

    Definition Classes
      ClassPath

34. #### lazy val sourcepaths: IndexedSeq[AbstractFile]

    Definition Classes
      MergedClassPath → ClassPath

35. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

36. #### def toString(): String

    Definition Classes
      MergedClassPath → AnyRef → Any

37. #### def validClassFile(name: String): Boolean

    Filters for assessing validity of various entities.

    Filters for assessing validity of various entities.

    Definition Classes
      ClassPath

38. #### def validPackage(name: String): Boolean

    Definition Classes
      ClassPath

39. #### def validSourceFile(name: String): Boolean

    Definition Classes
      ClassPath

40. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### def →[B](y: B): (DeltaClassPath[T], B)

    Implicit information
      This member is added by an implicit conversion from DeltaClassPath[T] to ArrowAssoc[DeltaClassPath[T]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from MergedClassPath[T]

### Inherited from ClassPath[T]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from DeltaClassPath[T] to any2stringadd[DeltaClassPath[T]]

### Inherited by implicit conversion StringFormat from DeltaClassPath[T] to StringFormat[DeltaClassPath[T]]

### Inherited by implicit conversion Ensuring from DeltaClassPath[T] to Ensuring[DeltaClassPath[T]]

### Inherited by implicit conversion ArrowAssoc from DeltaClassPath[T] to ArrowAssoc[DeltaClassPath[T]]

### Ungrouped